mod cli;
mod commands;
mod db;
mod dev;
mod gateway;
mod service;
mod service_local;
mod util;

#[cfg(test)]
mod tests;

use clap::Parser;
use cli::Cli;

fn main() {
    if let Err(err) = commands::run_cli(Cli::parse()) {
        eprintln!("{err}");
        std::process::exit(1);
    }
}
